import { X as l, L as o, ak as a } from "./56c67d3b.js";
import "react";
import "react-dom";
function t(e) {
  return JSON.stringify(e.toJsonValue());
}
test("test code editor", () => {
  let e = new l({});
  expect(t(e)).toEqual('""');
  const u = e.changeValueAction("valueCode");
  e = e.reduce(u), expect(t(e)).toEqual('"valueCode"');
});
test("test code editor value", () => {
  let e = new l({
    value: "INIT_VALUE"
  });
  expect(t(e)).toEqual('"INIT_VALUE"'), e = o(e), expect(e.getView()).toEqual("INIT_VALUE");
});
test("test number control", () => {
  let e = new a({
    value: "111"
  });
  expect(t(e)).toEqual('"111"'), e = o(e), expect(e.getView()).toEqual(111), e = new a({
    value: -1
  }), expect(t(e)).toEqual('"-1"'), e = o(e), expect(e.getView()).toEqual(-1);
});
